Skip to main content
PUT
/
kyc-connector
/
veriff
/
config
curl --request PUT \ --url https://api.enterprise.sandbox.uphold.com/kyc-connector/veriff/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "integrations": [ { "name": "integration-abc123", "apiKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "sharedSecretKey": "f0e1d2c3-b4a5-6789-0fed-cba987654321", "processes": [ "profile", "address", "identity", "proof-of-address" ] } ] } '
{ "config": { "integrations": [ { "name": "integration-abc123", "apiKey": "4e0a****", "sharedSecretKey": "b622****", "processes": [ "profile", "address", "identity", "proof-of-address" ] } ], "createdAt": "2026-01-15T14:23:01.819Z", "updatedAt": "2026-01-15T14:25:00.000Z" } }

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication

Body

application/json
integrations
object[]
required

The list of Veriff integration configurations.

Minimum array length: 1

Response

200 - application/json

Veriff config created or updated.

config
object
required

The Veriff provider configuration.